View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000539aMuleMiscpublic2005-08-17 17:002005-08-18 17:07
Reporterbsdice 
Assigned ToKry 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000539: Unknown function GetToolPos
DescriptionMake on latest CVS tarball fails because 'GetToolPos' is unknown. If there is a public svn repos please make it known in Wiki and forum because I could not find it. Thx.
Additional Informationenv \
        CFLAGS="-O2 -march=pentium3" \
        CXXFLAGS="-O2 -march=pentium3" \
        LDFLAGS="-s" \
                nice -n 19 ./configure \
                --prefix=/usr/local/amule \
                --disable-dependency-tracking \
                --enable-optimise \
                --enable-static \
                --disable-debug \
                --disable-systray \
                --disable-amulecmd \
                --disable-amulecmdgui \
                --disable-amule-daemon \
                --disable-webserver \
                --disable-webservergui \
                --disable-cas \
                --disable-wxcas \
                --disable-amule-gui \
                --disable-nls \
                --enable-kad-compile

amuleDlg.cpp: In member function `void CamuleDlg::SetMessagesTool()':
amuleDlg.cpp:1106: error: `GetToolPos' undeclared (first use this function)
amuleDlg.cpp:1106: error: (Each undeclared identifier is reported only once for
   each function it appears in.)
make[4]: *** [amule-amuleDlg.o] Error 1
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001235)
Kry (manager)
2005-08-17 18:53

Which wx version are you using?
(0001237)
bsdice (reporter)
2005-08-17 19:00

This happens on Debian testing. Versions of wx:

$dpkg -l | grep -i wx
ii libwxbase2.4 2.4.3.1 wxBase library (runtime) - non-GUI support c
ii libwxbase2.4-d 2.4.3.1 wxBase library (development) - non-GUI suppo
ii libwxgtk2.4 2.4.3.1 wxWindows Cross-platform C++ GUI toolkit (GT
ii libwxgtk2.4-de 2.4.3.1 wxWindows Cross-platform C++ GUI toolkit (GT
ii libwxgtk2.4-py 2.4.3.1 wxWindows Cross-platform C++ GUI toolkit (wx
ii wxwin2.4-heade 2.4.3.1 wxWindows Cross-platform C++ GUI toolkit (he

There is 2.4.4 available, I wasn't aware amule-cvs brakes with older wx.
(0001240)
Kry (manager)
2005-08-18 17:06

Shouldn't break, so I kinnda fixed it. Will be ok on next tarball.

- Issue History
Date Modified Username Field Change
2005-08-17 17:00 bsdice New Issue
2005-08-17 18:53 Kry Note Added: 0001235
2005-08-17 18:53 Kry Status new => assigned
2005-08-17 18:53 Kry Assigned To => Kry
2005-08-17 19:00 bsdice Note Added: 0001237
2005-08-18 17:06 Kry Note Added: 0001240
2005-08-18 17:07 Kry Status assigned => resolved
2005-08-18 17:07 Kry Fixed in Version => CVS
2005-08-18 17:07 Kry Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker